Loading...
Searching...
No Matches
juce::ARAHostModel::PlugInExtensionInstance Class Referencefinal

## Detailed Description

Wrapper class for ARA::ARAPlugInExtensionInstance*.

Returned by ARAHostDocumentController::bindDocumentToPluginInstance(). The corresponding ARAHostDocumentController must remain valid as long as the plugin extension is in use.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/format_types/juce_ARAHosting.h

## Public Member Functions

| PlugInExtensionInstance ()=default
| Creates an empty PlugInExtensionInstance object.
| PlugInExtensionInstance (const ARA::ARAPlugInExtensionInstance *instanceIn)
| Creates a PlugInExtensionInstance object that wraps a const ARA::ARAPlugInExtensionInstance*.
PlaybackRendererInterface | getPlaybackRendererInterface () const
| Returns the PlaybackRendererInterface for the extension instance.
EditorRendererInterface | getEditorRendererInterface () const
| Returns the EditorRendererInterface for the extension instance.
bool | isValid () const noexcept
| Returns false if the PlugInExtensionInstance was default constructed and represents no binding to an ARAHostDocumentController.

## Constructors and Destructors

## PlugInExtensionInstance() [1/2]

juce::ARAHostModel::PlugInExtensionInstance::PlugInExtensionInstance | ( |  | ) |

default

Creates an empty PlugInExtensionInstance object.

Calling isValid() on such an object will return false.

## PlugInExtensionInstance() [2/2]

juce::ARAHostModel::PlugInExtensionInstance::PlugInExtensionInstance | ( | const ARA::ARAPlugInExtensionInstance * | instanceIn | ) |

inline explicit

Creates a PlugInExtensionInstance object that wraps a const ARA::ARAPlugInExtensionInstance*.

The intended way to obtain a PlugInExtensionInstance object is to call ARAHostDocumentController::bindDocumentToPluginInstance(), which is using this constructor.

## Member Functions

## getPlaybackRendererInterface()

PlaybackRendererInterface juce::ARAHostModel::PlugInExtensionInstance::getPlaybackRendererInterface | ( |  | ) | const

Returns the PlaybackRendererInterface for the extension instance.

Depending on what roles were passed into ARAHostDocumentController::bindDocumentToPluginInstance() one particular instance may not fulfill a given role. You can use PlaybackRendererInterface::isValid() to see if this interface was provided by the instance.

## getEditorRendererInterface()

EditorRendererInterface juce::ARAHostModel::PlugInExtensionInstance::getEditorRendererInterface | ( |  | ) | const

Returns the EditorRendererInterface for the extension instance.

Depending on what roles were passed into ARAHostDocumentController::bindDocumentToPluginInstance() one particular instance may not fulfill a given role. You can use EditorRendererInterface::isValid() to see if this interface was provided by the instance.

## isValid()

bool juce::ARAHostModel::PlugInExtensionInstance::isValid | ( |  | ) | const

inline noexcept

Returns false if the PlugInExtensionInstance was default constructed and represents no binding to an ARAHostDocumentController.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited